<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="iteracionAlumno">
      <h2 data-cy="iteracionAlumnoDetailsHeading"><span>Iteracion Alumno</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span>ID</span></dt>
        <dd>
          <span>{{ iteracionAlumno.id }}</span>
        </dd>
        <dt><span>Actividad</span></dt>
        <dd>
          <span>{{ iteracionAlumno.actividad }}</span>
        </dd>
        <dt><span>Terminado</span></dt>
        <dd>
          <span>{{ iteracionAlumno.terminado }}</span>
        </dd>
        <dt><span>Iteracion</span></dt>
        <dd>
          <div *ngIf="iteracionAlumno.iteracion">
            <a [routerLink]="['/iteracion', iteracionAlumno.iteracion?.id, 'view']">{{ iteracionAlumno.iteracion?.id }}</a>
          </div>
        </dd>
        <dt><span>Alumno</span></dt>
        <dd>
          <div *ngIf="iteracionAlumno.alumno">
            <a [routerLink]="['/alumno', iteracionAlumno.alumno?.id, 'view']">{{ iteracionAlumno.alumno?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
      </button>

      <button type="button" [routerLink]="['/iteracion-alumno', iteracionAlumno.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
      </button>
    </div>
  </div>
</div>
